Modules | Alphabetical List | Class List | Directories | File List | File Members | GIL Home Page # packed_image5_type Struct Template Reference [packed_image_type,bit_aligned_image_type] `#include <metafunctions.hpp>` Inheritance diagram for packed_image5_type: List of all members. ## Detailed Description ### template<typename BitField, unsigned Size1, unsigned Size2, unsigned Size3, unsigned Size4, unsigned Size5, typename Layout, typename Alloc = std::allocator<unsigned char>> struct boost::gil::packed_image5_type< BitField, Size1, Size2, Size3, Size4, Size5, Layout, Alloc > Returns the type of a five channel image given its bitfield type, the bit size of its channels and its layout.
The documentation for this struct was generated from the following file: metafunctions.hpp